mdoc-export-html(1)

NAME
mdoc export-html - Convert mdoc(5) XML to HTML.

SYNOPSIS
mdoc export-html [OPTION]* DIRECTORIES

DESCRIPTION
mdoc export-html creates HTML files from the mdoc(5)-formatted documentation XML files within DIRECTORIES.

OPTIONS

--default-template
    Writes the default XSLT used to stdout.

--ext=EXTENSION
    The file extension to use for created files.

    This defaults to html.

--force-update
    Always generate new files. If not specified, will only generate a new output file if the source documentation file is newer than the target output file.

-o, --out=DIRECTORY
    Write the created files within directory DIRECTORY.

--template=FILE
    An XSLT file to use to generate the created files.

    If not specified, uses the template produced by --dump-template.

    See the TEMPLATE FORMAT section below for more information.

--with-profile=PROFILE
    Only process types and members within the .NET profile PROFILE. May be specified multiple times. If not specified, all types and members, regardless of version, are processed.

    Valid profiles are:
    	monotouch
    	net_1_0
    	net_1_1
    	net_2_0
    	net_3_0
    	net_3_5
    	net_4_0
    	silverlight

--with-version=VERSION
    Only process types and members within the assembly version VERSION. May be specified multiple times. If not specified, all types and members, regardless of version, are processed.

    VERSION is an assembly version, e.g. 2.0.5.0.

-h, -?, --help
    Display a help message and exit.

TEMPLATE FORMAT
The template file is an XSLT which needs to process the following input XML document:
  <Page>
    <CollectionTitle>Collection Title</CollectionTitle>
    <PageTitle>Page Title</PageTitle>
    <Summary>Page Summary</Summary>
    <Signature>Type Declaration</Signature>
    <Remarks>Type Remarks</Remarks>
    <Members>Type Members</Members>
    <Copyright>Documentation Copyright</Copyright>
  </Page>
The generated HTML also makes use of several CSS classes. You can either use the create-default-style named template found within the --default-template output to generate these classes, or explicitly define the following CSS classes:

    .CollectionTitle

    .PageTitle

    .Summary

    .Signature

    .Remarks

    .Members

    .Copyright

    .Section

    .SectionBox

    .NamespaceName

    .NamespaceSummary

    .MemberName

    .MemberSignature

    .MemberBox

    .Subsection

    .SubsectionBox

    .SignatureTable

    .EnumerationsTable

    .CodeExampleTable

    .MembersListing

    .TypesListing

    .InnerSignatureTable

    .TypePermissionsTable

HTML LINKS
All members within the HTML file have an id attribute to permit linking to a specific member. The value of the id attribute is the String ID of the specified member.

See the CREF FORMAT section of mdoc(5) for more information.

MAILING LISTS

Visit http://lists.ximian.com/mailman/listinfo/mono-docs-list for details.

WEB SITE
Visit http://www.mono-project.com/docs/tools+libraries/tools/mdoc/ for details